Loading...
Searching...
No Matches
shared.hpp File Reference

Provides raptor::validate_shape. More...

`#include <sharg/parser.hpp>`
`#include <raptor/argument_parsing/build_arguments.hpp>`
`#include <raptor/argument_parsing/prepare_arguments.hpp>`

Go to the source code of this file.

## Functions

template<typename argument_t> requires std::same_as<argument_t, build_arguments> || std::same_as<argument_t, prepare_arguments>
void | raptor::validate_shape (sharg::parser &parser, argument_t &arguments)

## Detailed Description

Provides raptor::validate_shape.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>